Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.testing.execution
Class AbstractTestFrameworkDetector

    java.lang.Object
      org.gradle.api.testing.execution.AbstractTestFrameworkDetector

All Implemented Interfaces:
  TestFrameworkDetector

    class AbstractTestFrameworkDetector
    extends java.lang.Object

author:
  Tom Eyckmans

Field Summary
`protected java.util.Map` | `extractedJarClasses`
`protected java.util.Map` | `packageJarFilesMappings`
`protected java.util.List` | `testClassDirectories`
`protected java.util.Set` | `testClassNames`

Constructor Summary
`protected AbstractTestFrameworkDetector(java.io.File testClassesDirectory, java.util.List testClasspath)`

Method Summary
`protected T` | `createClassVisitor()`
`protected java.io.File` | `getSuperTestClassFile(java.lang.String superClassName)`
`java.util.Set` | `getTestClassNames()`
`java.io.File` | `getTestClassesDirectory()`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Field Detail

### extractedJarClasses

    protected final java.util.Map extractedJarClasses

### packageJarFilesMappings

    protected final java.util.Map packageJarFilesMappings

### testClassDirectories

    protected final java.util.List testClassDirectories

### testClassNames

    protected final java.util.Set testClassNames

Constructor Detail

### AbstractTestFrameworkDetector

    protected AbstractTestFrameworkDetector(java.io.File testClassesDirectory, java.util.List testClasspath)

Method Detail

### createClassVisitor

    protected T createClassVisitor()

### getSuperTestClassFile

    protected java.io.File getSuperTestClassFile(java.lang.String superClassName)

### getTestClassNames

    public java.util.Set getTestClassNames()

### getTestClassesDirectory

    public java.io.File getTestClassesDirectory()

Groovy Documentation